public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mysql-connector-c/
Date: Mon, 10 Mar 2025 00:22:59 +0000 (UTC)	[thread overview]
Message-ID: <1741566095.4b6338b1658868b774411ac11f2bb23e5a3240c8.sam@gentoo> (raw)

commit:     4b6338b1658868b774411ac11f2bb23e5a3240c8
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sun Mar  9 01:47:15 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 10 00:21:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b6338b1

dev-db/mysql-connector-c: add 8.0.41

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/mysql-connector-c/Manifest                  |   1 +
 .../mysql-connector-c-8.0.41.ebuild                | 127 +++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/dev-db/mysql-connector-c/Manifest b/dev-db/mysql-connector-c/Manifest
index 4df88f2a9a68..f0201aec92cd 100644
--- a/dev-db/mysql-connector-c/Manifest
+++ b/dev-db/mysql-connector-c/Manifest
@@ -1 +1,2 @@
 DIST mysql-boost-8.0.36.tar.gz 438154682 BLAKE2B 066c9dd7f2804ad29808c3bfcf5eae53466f7c40cf1386a9c1f26a0b45dcc3eda8d9618de36e8008e5e4d58b726d6c8ca85aec8d1eda8981f5a49e495b32f046 SHA512 a6c1c009a322b7e7aa2aa607573060414c847c77d48f44a24058ffb89673621f2ebbcc1a4448fa841a87ff721159cc8eaf44a57721c7dc233c130691c16a9d4a
+DIST mysql-boost-8.0.41.tar.gz 488749630 BLAKE2B 4d8c084ec9e95bb6d57573adbb998d4917d76fc77dc599c246b6f2ebbffccd2d2fd1ef8b615caa6bd7d4fa6646b55d5912f98f93d81f64fd4fc4162bf60aa9a2 SHA512 e5bb314082be6bf037808ea7a2130c8e2b44491a6c54bc3f611d823be5285021d05093afca71c3d33da6dece2bac3a8e24da5198080060407d8c4dbfeeea8a99

diff --git a/dev-db/mysql-connector-c/mysql-connector-c-8.0.41.ebuild b/dev-db/mysql-connector-c/mysql-connector-c-8.0.41.ebuild
new file mode 100644
index 000000000000..006029d59e49
--- /dev/null
+++ b/dev-db/mysql-connector-c/mysql-connector-c-8.0.41.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib flag-o-matic
+
+DESCRIPTION="C client library for MariaDB/MySQL"
+HOMEPAGE="https://dev.mysql.com/downloads/"
+
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/mysql/mysql-server.git"
+
+	inherit git-r3
+else
+	SRC_URI="https://dev.mysql.com/get/Downloads/MySQL-$(ver_cut 1-2)/mysql-boost-${PV}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+	S="${WORKDIR}/mysql-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0/21"
+IUSE="ldap static-libs"
+
+RDEPEND="
+	>=app-arch/lz4-1.9.4:=[${MULTILIB_USEDEP}]
+	app-arch/zstd:=[${MULTILIB_USEDEP}]
+	dev-libs/openssl:=[${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.13:=[${MULTILIB_USEDEP}]
+	ldap? ( dev-libs/cyrus-sasl:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+# Avoid file collisions, #692580
+RDEPEND+="
+	!<dev-db/mysql-5.6.45-r1
+	!=dev-db/mysql-5.7.23*
+	!=dev-db/mysql-5.7.24*
+	!=dev-db/mysql-5.7.25*
+	!=dev-db/mysql-5.7.26-r0
+	!=dev-db/mysql-5.7.27-r0
+	!<dev-db/percona-server-5.7.26.29-r1
+"
+
+DOCS=( README )
+
+# Wrap the config script
+MULTILIB_CHOST_TOOLS=( /usr/bin/mysql_config )
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-8.0.36-always-build-decompress-utilities.patch
+	"${FILESDIR}"/${PN}-8.0.19-do-not-install-comp_err.patch
+	"${FILESDIR}"/${PN}-8.0.27-res_n.patch
+)
+
+src_prepare() {
+	sed -i -e 's/CLIENT_LIBS/CONFIG_CLIENT_LIBS/' "scripts/CMakeLists.txt" || die
+
+	# All these are for the server only.
+	# Disable rpm call which would trigger sandbox, #692368
+	sed -i \
+		-e '/MYSQL_CHECK_LIBEVENT/d' \
+		-e '/MYSQL_CHECK_RAPIDJSON/d' \
+		-e '/MYSQL_CHECK_ICU/d' \
+		-e '/MYSQL_CHECK_EDITLINE/d' \
+		-e '/MYSQL_CHECK_CURL/d' \
+		-e '/ADD_SUBDIRECTORY(man)/d' \
+		-e '/ADD_SUBDIRECTORY(share)/d' \
+		-e '/INCLUDE(cmake\/boost/d' \
+		-e 's/MY_RPM rpm/MY_RPM rpmNOTEXISTENT/' \
+		CMakeLists.txt || die
+
+	# Skip building clients
+	echo > client/CMakeLists.txt || die
+
+	# Forcefully disable auth plugin
+	if ! use ldap ; then
+		sed -i -e '/MYSQL_CHECK_SASL/d' CMakeLists.txt || die
+		echo > libmysql/authentication_ldap/CMakeLists.txt || die
+	fi
+
+	cmake_src_prepare
+}
+
+multilib_src_configure() {
+	# Code is now requiring C++17 due to
+	# https://github.com/mysql/mysql-server/commit/236ab55bedd8c9eacd80766d85edde2a8afacd08
+	append-cxxflags -std=c++17
+
+	# LTO leads to double free in mysql-connector-c++ tests
+	filter-lto
+
+	local mycmakeargs=(
+		-DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG
+		-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG
+		-DINSTALL_LAYOUT=RPM
+		-DINSTALL_LIBDIR=$(get_libdir)
+		-DWITH_DEFAULT_COMPILER_OPTIONS=OFF
+		-DENABLED_LOCAL_INFILE=ON
+		-DMYSQL_UNIX_ADDR="${EPREFIX}/run/mysqld/mysqld.sock"
+		# Automagically uses LLD with not using LTO (bug #710272, #775845)
+		-DUSE_LD_LLD=OFF
+		-DWITH_LZ4=system
+		-DWITH_NUMA=OFF
+		-DWITH_SSL=system
+		-DWITH_ZLIB=system
+		-DWITH_ZSTD=system
+		-DLIBMYSQL_OS_OUTPUT_NAME=mysqlclient
+		-DSHARED_LIB_PATCH_VERSION="0"
+		-DCMAKE_POSITION_INDEPENDENT_CODE=ON
+		-DWITHOUT_SERVER=ON
+		-DWITH_BUILD_ID=OFF
+	)
+
+	cmake_src_configure
+}
+
+multilib_src_install_all() {
+	doman \
+		man/my_print_defaults.1 \
+		man/perror.1 \
+		man/zlib_decompress.1
+
+	if ! use static-libs ; then
+		find "${ED}" -name "*.a" -delete || die
+	fi
+}


             reply	other threads:[~2025-03-10  0:23 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-10  0:22 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-25 23:30 [gentoo-commits] repo/gentoo:master commit in: dev-db/mysql-connector-c/ Sam James
2024-11-23 20:49 Sam James
2024-11-23 16:58 Sam James
2024-11-23 16:44 Michał Górny
2024-11-23 16:44 Michał Górny
2024-11-23 16:39 Sam James
2023-12-18  6:57 Sam James
2023-05-06 14:01 Arthur Zamarin
2023-05-06 14:01 Arthur Zamarin
2023-05-06 14:01 Arthur Zamarin
2023-04-02 19:30 Arthur Zamarin
2023-04-02 19:30 Arthur Zamarin
2023-02-15  9:57 Sam James
2023-02-15  9:57 Sam James
2023-01-18 22:44 Sam James
2023-01-13 15:02 Arthur Zamarin
2023-01-13 15:02 Arthur Zamarin
2023-01-13 15:02 Arthur Zamarin
2022-12-03 18:38 Arthur Zamarin
2022-12-02 20:25 Arthur Zamarin
2022-12-02  8:02 Arthur Zamarin
2022-12-02  7:20 Arthur Zamarin
2022-10-31  1:43 Sam James
2022-08-19  8:14 Andreas Sturmlechner
2022-08-12 10:33 Agostino Sarubbo
2022-08-11 12:47 Sam James
2022-08-11  6:45 Agostino Sarubbo
2022-08-10 16:09 Arthur Zamarin
2022-08-10 12:29 Arthur Zamarin
2022-08-10 12:29 Arthur Zamarin
2022-08-10 10:56 Arthur Zamarin
2022-05-17 14:18 WANG Xuerui
2022-03-03 21:22 David Seifert
2022-02-27 22:25 Sam James
2022-01-13  4:18 Sam James
2022-01-13  4:18 Sam James
2022-01-12  4:09 Sam James
2022-01-11 21:40 Sam James
2022-01-11  4:49 Sam James
2021-10-16  3:48 Sam James
2021-10-16  3:48 Sam James
2021-10-16  3:48 Sam James
2021-08-04 19:13 Thomas Deutschmann
2021-06-29  5:53 Yixun Lan
2021-05-27  6:55 Agostino Sarubbo
2021-05-24  1:19 Thomas Deutschmann
2021-05-15 18:02 Sam James
2021-05-15 17:59 Sam James
2021-05-12 15:38 Thomas Deutschmann
2021-05-03  8:18 Mikle Kolyada
2021-04-26  1:03 Thomas Deutschmann
2021-03-26 12:08 Agostino Sarubbo
2021-03-17 20:42 Thomas Deutschmann
2021-03-15  1:40 Thomas Deutschmann
2021-03-12  7:56 Agostino Sarubbo
2021-03-11 18:25 Thomas Deutschmann
2021-03-06 12:21 Andreas Sturmlechner
2021-02-04 17:22 Sergei Trofimovich
2020-11-27 17:53 Thomas Deutschmann
2020-11-27 16:04 Agostino Sarubbo
2020-11-27  8:42 Agostino Sarubbo
2020-11-27  7:55 Agostino Sarubbo
2020-11-26 23:04 Sergei Trofimovich
2020-11-26  8:26 Sam James
2020-11-26  8:14 Sam James
2020-11-25 22:38 Sergei Trofimovich
2020-11-25 12:14 Agostino Sarubbo
2020-11-25 11:51 Thomas Deutschmann
2020-08-24  1:26 Thomas Deutschmann
2020-08-22 20:24 Thomas Deutschmann
2020-08-09 16:51 Sergei Trofimovich
2020-08-07 11:53 Agostino Sarubbo
2020-08-07 11:52 Agostino Sarubbo
2020-08-07 11:51 Agostino Sarubbo
2020-08-07 11:44 Agostino Sarubbo
2020-08-06 11:49 Agostino Sarubbo
2020-08-06 11:49 Agostino Sarubbo
2020-08-06  2:25 Sam James
2020-08-05 18:32 Sam James
2020-07-26  1:46 Thomas Deutschmann
2020-04-08  6:10 Mart Raudsepp
2020-03-05 11:08 Agostino Sarubbo
2020-02-23  8:54 Sergei Trofimovich
2020-02-17 12:25 Agostino Sarubbo
2020-02-17 12:09 Agostino Sarubbo
2020-02-17 11:53 Agostino Sarubbo
2020-02-16 21:14 Thomas Deutschmann
2020-02-15 19:30 Sergei Trofimovich
2020-02-15 12:15 Mikle Kolyada
2019-08-23 10:53 Thomas Deutschmann
2019-08-18 13:21 Thomas Deutschmann
2019-08-18 12:34 Thomas Deutschmann
2019-08-17 20:13 Thomas Deutschmann
2019-08-02 22:06 Thomas Deutschmann
2019-08-02 16:40 Thomas Deutschmann
2019-08-02 16:40 Thomas Deutschmann
2019-08-02 16:40 Thomas Deutschmann
2019-07-08 16:29 Brian Evans
2019-04-25  3:52 Aaron Bauman
2019-02-17 17:32 Mikle Kolyada
2019-01-08 22:06 Sergei Trofimovich
2018-11-14 21:51 Sergei Trofimovich
2018-11-14 19:23 Thomas Deutschmann
2018-06-23 18:52 Mikle Kolyada
2018-06-11  8:13 Agostino Sarubbo
2018-06-10 18:49 Thomas Deutschmann
2018-06-10 18:46 Sergei Trofimovich
2018-05-15 17:41 Brian Evans
2018-04-15 19:20 Brian Evans
2018-04-15 18:16 Sergei Trofimovich
2018-04-14 11:25 Markus Meier
2018-03-28  4:32 Matt Turner
2018-03-09 16:38 Brian Evans
2018-03-04 11:13 Sergei Trofimovich
2018-03-02 12:17 Jeroen Roovers
2017-06-12 16:44 Brian Evans
2017-02-03 16:04 Brian Evans
2017-01-30  1:03 Brian Evans
2016-02-05 13:56 Tobias Klausmann
2015-09-29 20:55 Markus Meier
2015-09-17  2:37 Brian Evans
2015-09-15 17:28 Brian Evans
2015-09-15  3:42 Jeroen Roovers
2015-08-16 16:28 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1741566095.4b6338b1658868b774411ac11f2bb23e5a3240c8.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox